require "scripts/levelselect.lua"
require "scripts/loadlevel.lua"
require "scripts/gameplay.lua"
require "scripts/backgrounds/bg1.lua"

function love.load()
	--load images
	image_spikeball=love.graphics.newImage("images/spikeball.png")
	font_verasans20=love.graphics.newFont(20)
	font_verasans15=love.graphics.newFont(15)
	
	--filesystem stuff
	love.filesystem.setIdentity("tesselode_tilt")
	love.filesystem.mkdir("custom")
	
	--start on level select screen
	screen="levelselect"
	levelselect_load()

	bg1_load()
end

function love.update()
	bg1_update()

	if screen=="levelselect" then
		levelselect_update()
	end

	if screen=="gameplay" then
		gameplay_update()
	end
end

function love.keypressed(key)
	if screen=="gameplay" and key=="escape" then --gameplay pause menu
		if gameplay_paused==0 then gameplay_paused=1 else gameplay_paused=0 end
	end
end

function love.mousepressed(x,y,button) --button clicking
	if screen=="levelselect" then
		if button=="l" and numlevels>0 then
			loadlevel("custom/"..levelpath[selectedfile])
			createlevel()
			gameplay_load()
			screen="gameplay"
		end
	end

	if screen=="gameplay" and gameplay_paused==1 then
		if pausemenu_selected==1 then
			gameplay_paused=0
		elseif pausemenu_selected==2 then
			createlevel()
			gameplay_load()
		else
			screen="levelselect"
			levelselect_load()
		end
	end
end

function love.draw()
	bg1_draw()

	if screen=="levelselect" then
		levelselect_draw()
	end
	
	if screen=="gameplay" then
		gameplay_draw()
	end
end
